# Copy folder

Copies a folder.

> Important: This operation doesn't copy cell history.

Endpoint: POST /folders/{folderId}/copy
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string, required)
    Defines the structure for the request body.
    Enum: "application/json"

## Path parameters:

  - `folderId` (number, required)
    ID of the folder being accessed.

## Query parameters:

  - `include` (string)
    A comma-separated list of elements to copy:

- "attachments" 
- "cellLinks" - includes cross-sheet references
- "data" - includes formatting
- "discussions" - includes comments
- "filters" 
- "forms" 
- "ruleRecipients" -- includes notification recipients, must also include rules when using this attribute
- "rules" -- includes notifications and workflow rules
- "shares" 

Important: This operation doesn't copy cell history.
    Enum: "attachments", "cellLinks", "data", "discussions", "filters", "forms", "ruleRecipients", "rules", "shares"

  - `exclude` (string)
    When specified with a value of sheetHyperlinks, excludes this category from the response
    Enum: "sheetHyperlinks"

  - `skipRemap` (string)
    A comma-separated list of references to NOT re-map for the newly created folder.
    Enum: "cellLinks", "reports", "sheetHyperlinks", "sights"

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the request was successful.
    Enum: "SUCCESS"

  - `resultCode` (number)
    * '0' Success
    Enum: 0

  - `result` (object)

  - `result.id` (number)
    Folder ID.

  - `result.name` (string)
    Folder name.

  - `result.permalink` (string)
    URL that represents a direct link to the folder in Smartsheet.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


